Skip to main content
GET
/
organizations
/
{organization_id}
/
portal
/
favicon
/
{size}
Get portal favicon URL
curl --request GET \
  --url https://api.initdesk.com/organizations/{organization_id}/portal/favicon/{size}/ \
  --header 'X-Initdesk-Token: <api-key>'
{
  "id": 123,
  "name": "<string>",
  "custom_domain": "<string>",
  "organization": {
    "id": 123,
    "public_id": "<string>",
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "created_by": {
      "id": 123,
      "email": "jsmith@example.com",
      "name": "<string>"
    },
    "support_email": "<string>",
    "deletion_plan": {
      "inactivity_detected_at": "2023-11-07T05:31:56Z",
      "deletion_at": "2023-11-07T05:31:56Z"
    },
    "subscription": {
      "plan_name": "<string>",
      "plan_metric": "<string>",
      "renews_at": "2023-11-07T05:31:56Z",
      "ends_at": "2023-11-07T05:31:56Z",
      "trial_ends_at": "2023-11-07T05:31:56Z",
      "trial_days_remaining": 123,
      "has_access_enabled": true
    },
    "customer_max_inactivity_period": 0,
    "customer_inactivity_reminder_period": 0,
    "site_url": "<string>",
    "description": "<string>",
    "email_from_name": "<string>",
    "email_subject_prefix": "<string>",
    "enable_csat": true,
    "enable_auto_tagging": true,
    "enable_cc_email_routing": true
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "meta_description": "<string>",
  "allow_robots": true,
  "primary_color": "<string>",
  "is_active": true,
  "enable_ticket_creation_form": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.initdesk.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Initdesk-Token
string
header
required

Path Parameters

organization_id
string
required
size
string
required
Pattern: ^\d+$

Response

200 - application/json
id
integer
required
read-only
name
string
required
Maximum string length: 255
custom_domain
string
required
read-only

Optional custom domain for the portal (e.g. docs.example.com).

organization
object
required
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
meta_description
string
Maximum string length: 160
allow_robots
boolean
template
enum<string>
  • sidebar - Sidebar
  • list - List
Available options:
sidebar,
list
primary_color
string
Maximum string length: 7
is_active
boolean
enable_ticket_creation_form
boolean